package com.ruoyi.project.process.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * MOC管理对象 t_moc
 *
 * @author ruoyi
 * @date 2020-12-07
 */
public class TMoc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** MOC编号 */
    @Excel(name = "MOC编号")
    private String mocNo;

    /** 装置编号 */
    private String plantNumber;

    /** 通知单 */
    private String noticeLetter;

    /** 工作单 */
    private String workLetter;

    /** CTE工作号 */
    private String cteNo;

    /** 投资费用(RMB) */
    private String investCost;

    /** 类别 */
    private String category;

    /** 重要性 */
    private String significance;

    /** 分类 */
    private String classification;

    /** 区域 */
    @Excel(name = "区域")
    private String area;
    private String[] areas;

    /** 仪表控制 */
    private String dashControl;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 预计完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date estimateEndtime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 实施情况 */
    @Excel(name = "实施情况", dictType = "MOC_STATE")
    private String trueState;

    /** 变更性质 */
    @Excel(name = "变更性质", dictType = "MOC_CHANGE")
    private String changeNature;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date overTime;

    /** 临时MOC状态 */
    @Excel(name = "临时MOC状态")
    private String temporaryState;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 风险等级 */
    @Excel(name = "风险等级", dictType = "MOC_RISKLEVEL")
    private String riskLevel;

    /** EHS审查 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "EHS审查", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ehsCheck;

    /** EHS审查是否上传文件 */
    private String isEhsCheck;

    /** 培训 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训", width = 30, dateFormat = "yyyy-MM-dd")
    private Date training;

    /** 培训是否上传文件 */
    private String isTraining;

    /** PSSR */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "PSSR", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pssr;

    /** PSSR是否上传文件 */
    private String isPssr;

    /** EHS审查数据库 */
    private String ehsDb;

    /** SOP更新 */
    @Excel(name = "SOP更新")
    private String sopUpdate;

    /** PID MASTER更新 */
    @Excel(name = "PID更新")
    private String pidMaster;

    /** PSSR数据库 */
    private String pssrDb;

    /** CAPEX计划 */
    private String capex;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 公司MOC编号 */
    @Excel(name = "公司MOC编号")
    private String companyMocNo;

    /** 项目号 */
    @Excel(name = "项目号")
    private String projectNo;

    /** 类型 */
    @Excel(name = "类型")
    private String mocType;

    /** MC时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "MC时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date mcTime;

    /** MC情况 */
    @Excel(name = "MC情况")
    private String mcDetail;

    /** 文档更新 */
    @Excel(name = "文档更新")
    private String docUpdate;

    /** PSSR编号 */
    @Excel(name = "PSSR编号")
    private String pssrNo;

    /** 时效性，永久/临时MOC */
    @Excel(name = "时效性，永久/临时MOC")
    private String timeliness;

    /** 临时MOC类别 */
    @Excel(name = "临时MOC类别")
    private String tempCategory;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expTime;

    /** 临时MOC状态 */
    @Excel(name = "临时MOC状态")
    private String tempState;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishDate;

    /** 工艺单元 */
    @Excel(name = "工艺单元")
    private String processUnit;

    /** 部门 */
    @Excel(name = "部门")
    private String department;

    /** 泄露位置 */
    @Excel(name = "泄露位置")
    private String leakLocation;

    /** 操作压力 */
    @Excel(name = "操作压力")
    private String pressure;

    /** 操作温度 */
    @Excel(name = "操作温度")
    private String temperature;

    /** 泄露介质 */
    @Excel(name = "泄露介质")
    private String leakFluid;

    /** 介质类型 */
    @Excel(name = "介质类型")
    private String materialType;

    /** 方案日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "方案日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDate;

    /** 堵漏日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "堵漏日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sealDate;

    /** 第一次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第一次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention1;

    /** 第二次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第二次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention2;

    /** 第三次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第三次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention3;

    /** 第四次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第四次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention4;

    /** 第五次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第五次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention5;

    /** 第六次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第六次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention6;

    /** 第七次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第七次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention7;

    /** 第八次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第八次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention8;

    /** 第九次延期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "第九次延期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date extention9;

    /** 卡具状态 */
    @Excel(name = "卡具状态")
    private String status;

    /** 移除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "移除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date removeTime;

    public String[] getAreas() {
        return areas;
    }

    public void setAreas(String[] areas) {
        this.areas = areas;
    }

    public Date getRemoveTime() {
        return removeTime;
    }

    public void setRemoveTime(Date removeTime) {
        this.removeTime = removeTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProcessUnit() {
        return processUnit;
    }

    public void setProcessUnit(String processUnit) {
        this.processUnit = processUnit;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getLeakLocation() {
        return leakLocation;
    }

    public void setLeakLocation(String leakLocation) {
        this.leakLocation = leakLocation;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getLeakFluid() {
        return leakFluid;
    }

    public void setLeakFluid(String leakFluid) {
        this.leakFluid = leakFluid;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public Date getPlanDate() {
        return planDate;
    }

    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    public Date getSealDate() {
        return sealDate;
    }

    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    public Date getExtention1() {
        return extention1;
    }

    public void setExtention1(Date extention1) {
        this.extention1 = extention1;
    }

    public Date getExtention2() {
        return extention2;
    }

    public void setExtention2(Date extention2) {
        this.extention2 = extention2;
    }

    public Date getExtention3() {
        return extention3;
    }

    public void setExtention3(Date extention3) {
        this.extention3 = extention3;
    }

    public Date getExtention4() {
        return extention4;
    }

    public void setExtention4(Date extention4) {
        this.extention4 = extention4;
    }

    public Date getExtention5() {
        return extention5;
    }

    public void setExtention5(Date extention5) {
        this.extention5 = extention5;
    }

    public Date getExtention6() {
        return extention6;
    }

    public void setExtention6(Date extention6) {
        this.extention6 = extention6;
    }

    public Date getExtention7() {
        return extention7;
    }

    public void setExtention7(Date extention7) {
        this.extention7 = extention7;
    }

    public Date getExtention8() {
        return extention8;
    }

    public void setExtention8(Date extention8) {
        this.extention8 = extention8;
    }

    public Date getExtention9() {
        return extention9;
    }

    public void setExtention9(Date extention9) {
        this.extention9 = extention9;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Date getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(Date finishDate) {
        this.finishDate = finishDate;
    }

    public String getTimeliness() {
        return timeliness;
    }

    public void setTimeliness(String timeliness) {
        this.timeliness = timeliness;
    }

    public String getTempCategory() {
        return tempCategory;
    }

    public void setTempCategory(String tempCategory) {
        this.tempCategory = tempCategory;
    }

    public Date getExpTime() {
        return expTime;
    }

    public void setExpTime(Date expTime) {
        this.expTime = expTime;
    }

    public String getTempState() {
        return tempState;
    }

    public void setTempState(String tempState) {
        this.tempState = tempState;
    }

    public String getCompanyMocNo() {
        return companyMocNo;
    }

    public void setCompanyMocNo(String companyMocNo) {
        this.companyMocNo = companyMocNo;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getMocType() {
        return mocType;
    }

    public void setMocType(String mocType) {
        this.mocType = mocType;
    }

    public Date getMcTime() {
        return mcTime;
    }

    public void setMcTime(Date mcTime) {
        this.mcTime = mcTime;
    }

    public String getMcDetail() {
        return mcDetail;
    }

    public void setMcDetail(String mcDetail) {
        this.mcDetail = mcDetail;
    }

    public String getDocUpdate() {
        return docUpdate;
    }

    public void setDocUpdate(String docUpdate) {
        this.docUpdate = docUpdate;
    }

    public String getPssrNo() {
        return pssrNo;
    }

    public void setPssrNo(String pssrNo) {
        this.pssrNo = pssrNo;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setMocNo(String mocNo)
    {
        this.mocNo = mocNo;
    }

    public String getMocNo()
    {
        return mocNo;
    }
    public void setPlantNumber(String plantNumber)
    {
        this.plantNumber = plantNumber;
    }

    public String getPlantNumber()
    {
        return plantNumber;
    }
    public void setNoticeLetter(String noticeLetter)
    {
        this.noticeLetter = noticeLetter;
    }

    public String getNoticeLetter()
    {
        return noticeLetter;
    }
    public void setWorkLetter(String workLetter)
    {
        this.workLetter = workLetter;
    }

    public String getWorkLetter()
    {
        return workLetter;
    }
    public void setCteNo(String cteNo)
    {
        this.cteNo = cteNo;
    }

    public String getCteNo()
    {
        return cteNo;
    }
    public void setInvestCost(String investCost)
    {
        this.investCost = investCost;
    }

    public String getInvestCost()
    {
        return investCost;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setSignificance(String significance)
    {
        this.significance = significance;
    }

    public String getSignificance()
    {
        return significance;
    }
    public void setClassification(String classification)
    {
        this.classification = classification;
    }

    public String getClassification()
    {
        return classification;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setDashControl(String dashControl)
    {
        this.dashControl = dashControl;
    }

    public String getDashControl()
    {
        return dashControl;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setEstimateEndtime(Date estimateEndtime)
    {
        this.estimateEndtime = estimateEndtime;
    }

    public Date getEstimateEndtime()
    {
        return estimateEndtime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setTrueState(String trueState)
    {
        this.trueState = trueState;
    }

    public String getTrueState()
    {
        return trueState;
    }
    public void setChangeNature(String changeNature)
    {
        this.changeNature = changeNature;
    }

    public String getChangeNature()
    {
        return changeNature;
    }
    public void setOverTime(Date overTime)
    {
        this.overTime = overTime;
    }

    public Date getOverTime()
    {
        return overTime;
    }
    public void setRiskLevel(String riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel()
    {
        return riskLevel;
    }
    public void setTraining(Date training)
    {
        this.training = training;
    }

    public Date getTraining()
    {
        return training;
    }
    public void setPssr(Date pssr)
    {
        this.pssr = pssr;
    }

    public Date getPssr()
    {
        return pssr;
    }
    public void setEhsCheck(Date ehsCheck)
    {
        this.ehsCheck = ehsCheck;
    }

    public Date getEhsCheck()
    {
        return ehsCheck;
    }
    public void setEhsDb(String ehsDb) { this.ehsDb = ehsDb; }

    public String getEhsDb()
    {
        return ehsDb;
    }
    public void setPidMaster(String pidMaster)
    {
        this.pidMaster = pidMaster;
    }

    public String getPidMaster()
    {
        return pidMaster;
    }
    public void setPssrDb(String pssrDb)
    {
        this.pssrDb = pssrDb;
    }

    public String getPssrDb()
    {
        return pssrDb;
    }
    public void setCapex(String capex)
    {
        this.capex = capex;
    }

    public String getCapex()
    {
        return capex;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setTemporaryState(String temporaryState) { this.temporaryState = temporaryState; }

    public String getTemporaryState() { return temporaryState; }
    public void setSopUpdate(String sopUpdate) { this.sopUpdate = sopUpdate; }

    public String getSopUpdate() { return sopUpdate; }

    public String getIsEhsCheck() { return isEhsCheck; }

    public void setIsEhsCheck(String isEhsCheck) { this.isEhsCheck = isEhsCheck; }

    public String getIsTraining() { return isTraining; }

    public void setIsTraining(String isTraining) { this.isTraining = isTraining; }

    public String getIsPssr() { return isPssr; }

    public void setIsPssr(String isPssr) { this.isPssr = isPssr; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("mocNo", getMocNo())
            .append("plantNumber", getPlantNumber())
            .append("noticeLetter", getNoticeLetter())
            .append("workLetter", getWorkLetter())
            .append("cteNo", getCteNo())
            .append("investCost", getInvestCost())
            .append("category", getCategory())
            .append("significance", getSignificance())
            .append("classification", getClassification())
            .append("area", getArea())
            .append("dashControl", getDashControl())
            .append("title", getTitle())
            .append("owner", getOwner())
            .append("approveTime", getApproveTime())
            .append("estimateEndtime", getEstimateEndtime())
            .append("endtime", getEndtime())
            .append("trueState", getTrueState())
            .append("changeNature", getChangeNature())
            .append("overTime", getOverTime())
            .append("riskLevel", getRiskLevel())
            .append("training", getTraining())
            .append("pssr", getPssr())
            .append("ehsCheck", getEhsCheck())
            .append("ehsDb", getEhsDb())
            .append("pidMaster", getPidMaster())
            .append("pssrDb", getPssrDb())
            .append("capex", getCapex())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("temporaryState", getTemporaryState())
            .append("sopUpdate", getSopUpdate())
            .toString();
    }
}
